
# Source folders to recursively find .c/.cpp files
src_dirs:
  - src/src
  - src/include/lua
  - src/vendor/imgui
  - src/vendor/box2d
  - src/vendor/xxhash
  - src/vendor/miniaudio
  - src/vendor/imguizmo




# Include directories (-I)
include_dirs:
  - src/include
  - src/include/lua
  - src/vendor
  - src/vendor/imgui
  - src/vendor/box2d
  - src/vendor/xxhash
  - src/vendor/miniaudio
  - src/vendor/imguizmo

  
  - C:/msys64/mingw64/include

# Library search paths (-L)
lib_dirs:
  - C:/msys64/mingw64/lib
  - C:/Program Files
  - C:/Program Files (x86)
  - C:/libs

# Build output and tools
build_dir: src/build
target: src/build/app.exe
log_file: ./remake/build.log
cache_file: ./remake/.remake_cache.json

# C compiler and flags
cc: gcc
cflags:
  - -std=c99
  - -Wall
  - -g

# C++ compiler and flags
cxx: g++
cxxflags:
  - -std=c++20
  - -Wall
  - -g
# - -DDISABLE_DEEP_PROFILING
  - -DGLM_ENABLE_EXPERIMENTAL
  - -O2
  - -static 
  - -static-libstdc++ 
  - -static-libgcc


# Auto-detect libraries and headers
auto_libs:
  - glfw3
  - glew32
  - opengl32
  - gdi32
  - yaml-cpp
  - comdlg32
  - ssl
  - crypto
  - dbghelp
  - z
  - freetype

auto_includes:
  - imgui
  - yaml-cpp
